Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2189 closed defect (fixed)

Insufficient documentation for rtems_clock_get_tod()

Reported by: Sebastian Huber Owned by: Needs Funding
Priority: highest Milestone: 6.1
Component: doc Version: 4.11
Severity: normal Keywords: qualification
Cc: chrisj@… Blocked By:
Blocking:

Description

It is not clear which date and time is returned by rtems_clock_get_tod(). For example which time zone is used. Is there a relation to UTC?

Change History (12)

comment:1 Changed on 09/16/14 at 07:29:53 by Chris Johns

Cc: Chris Johns added

The timezone is the one you used when you set the time with the set call. If the time is not set this function returns RTEMS_NOT_DEFINED. It is assumed you set a suitable time in the first place and know the specific context of use.

comment:2 Changed on 12/19/14 at 05:06:18 by Gedare Bloom

Priority: normalhighest

Bump priority to highest for tickets with a fix attached or seemingly simple fix proposed in the description or comments.

comment:3 Changed on 03/02/15 at 20:42:45 by Gedare Bloom

Milestone: 4.114.11.1

bump milestone

comment:4 Changed on 10/20/15 at 23:05:06 by Joel Sherrill

This ticket does not have a patch attached or an obvious (to me) fix. What is the fix proposed?

comment:5 Changed on 10/21/15 at 05:42:48 by Sebastian Huber

We need a more precise documentation of the time services. How are leap seconds handled for example? UNIX time vs. UTC.

comment:6 Changed on 11/24/15 at 09:34:59 by Sebastian Huber

The wall clock time services lack documentation in general. What is the relation between rtems_time_of_day and the UNIX time as specified by IEEE Std 1003.1, 2013 Edition, 4.15 Seconds Since the Epoch (http://pubs.opengroup.org/onlinepubs/9699919799/). For example _TOD_To_seconds() does not use the expression in this standard document. This affects rtems_timer_fire_when().

comment:7 Changed on 11/24/15 at 16:22:54 by Joel Sherrill

Can you provide a specific link? That is to the top of the standard.

comment:9 Changed on 01/26/17 at 07:16:00 by Sebastian Huber

Milestone: 4.11.14.11.2

comment:10 Changed on 02/15/17 at 13:37:51 by Sebastian Huber

Milestone: 4.11.2Indefinite
Owner: changed from Joel Sherrill to Needs Funding
Status: newassigned

comment:11 Changed on 06/18/21 at 09:24:45 by Sebastian Huber

Keywords: qualification added

comment:12 Changed on 09/29/21 at 13:23:52 by Sebastian Huber

Milestone: Indefinite6.1
Resolution: fixed
Status: assignedclosed

Documentation was improved for RTEMS 6.

Note: See TracTickets for help on using tickets.